DPKG-DEB(1)

NAMN
dpkg-deb - Debians manipuleringsverktyg för paketarkiv (.deb)

SYNOPS
dpkg-deb -b|--build katalog [arkiv|katalog]
dpkg-deb -I|--info arkiv [control-filnamn ..]
dpkg-deb -f|--field arkiv [control-fältnamn ...]
dpkg-deb -c|--contents arkiv
dpkg-deb -x|--extract|-X|--vextract arkiv katalog
dpkg-deb --fsys-tarfile arkiv
dpkg-deb --control arkiv katalog

BESKRIVNING
dpkg-deb packar, packar upp och tillhandahåller information om Debianarkiv.

Använd dpkg för att installera och ta bort paket från ditt system.

Du kan även starta dpkg-deb genom att anropa dpkg med de parametrar du vill sända till dpkg-deb. dpkg kommer upptäcka att du ville nå dpkg-deb och kör det åt dig.

ÅTGÄRDSFLAGGOR

--build, -b
    Skapar ett Debianarkiv från filsystemsträdet som lagras i katalog. katalog måste innehålla underkatalogen DEBIAN, vilken innehåller styrinformationsfiler såsom själv styrfilen control. Denna katalog kommer inte att visas i binärpaketets filsystemsarkiv, utan istället kommer filerna läggas i binärpaketets styrinformationsområde.

    Du kan ange komprimeringsnivån genom att lägga till flaggan -z#. dpkg-deb kommer sända vidare den flaggan till gzip.

    Såvida du inte anger --nocheck kommer dpkg-deb att läsa DEBIAN/control och tolka den. Den kommer leta efter syntaxfel och andra problem, och visa namnet på det binärpaket som byggs. dpkg-deb kommer även att kontrollera behörigheten på paketskripten och andra filer som hittas i styrinformationskatalogen DEBIAN.

    Om inget arkiv anges kommer dpkg-deb skriva paketet till filen katalog.deb.

    Om arkivet som skall skapas redan finns kommer det skrivas över.

    Om det andra argumentet är en katalog kommer dpkg-deb skriva till filen paket_version_arkitektur.deb, eller paket_version.deb om inget Architecture-fält finns i styrfilen control. När en målkatalog anges, istället för en fil, kan inte flaggan --nocheck användas (eftersom dpkg-deb måste läsa och tolka paketets styrfil control för att ta reda på vilket filnamn som skall användas).

--info, -I
    Tillhandahåller information om ett binärt parketarkiv.

    Om inga control-filnamn anges kommer det att visa en sammanfattning av innehållet i paketet tillsammans med dess styrfil.

    Om ett eller flera control-filnamn anges kommer dpkg-deb att skriva ut dem i den ordning de anges. Om några av komponenterna inte fanns kommer ett felmeddelande skrivas ut på stderr om var och ett, och programmet avslutas med felstatus 2.

--field, -f
    Extraherar styrfilsinformation från ett binärt paketarkiv.

    Om inga styrfilsfält anges kommer den skriva ut hela styrfilen.

    Om några anges kommer dpkg-deb att visa deras innehåll, i den ordning de förekommer i styrfilen. Om mer än ett styrfilsfält anges kommer dpkg-deb visa varje med ett inledande fältnamn (och ett kolon och mellanrum).

    Inga felmeddelande rapporteras för fält som efterfrågas men inte hittas.

--contents, -c
    Visar innehåller i filsystemsträdsarkivsdelen av paketarkivet. Det visas för närvarande i det format som genereras av tars pratsamma visning.

--extract, -x, --vextract, -X
    Extraherar filsystemsträdet från ett paketarkiv till den angivna katalogen.

    --vextract (-X) visar en lista över filer som extraheras under tiden, medan --extract (-x) är tyst såvida inte ett fel uppstår.

    Observera att en extrahering av ett paket till rotkatalogen inte resulterar i en korrekt installation! Använd dpkg för att installera paket.

    katalog (men inte dess föräldrar) kommer skapas om nödvändigt.

--fsys-tarfile
    Extraherar filsystemsträdsdata från ett binärt paket och sänder det till standard ut i tar-format. Tillsammans med tar(1) kan detta användas för att hämta ut en enskild fil från ett paketarkiv.

--control, -e
    Extraherar styrinformationsfilerna från paketarkivet till den angivna katalogen.

    Om ingen katalog anges kommer en underkatalog vid namn DEBIAN i den aktuella katalogen att användas.

    Målkatalogen (men inte dess föräldrar) kommer att skapas om nödvändigt.

--help, -h
    Visar dpkg-debs användningsmeddelande, vilket sammanfattar dess flaggor och deras användning.

--version
    Visar dpkg-debs versionnummer.

--licence
    Visar information om dpkg-debs upphovsrätt, licensinformation och avsaknad av garanti. (Den amerikanska stavningen --license stöds också.)

ANDRA FLAGGOR

--new
    Försäkrar att dpkg-deb bygger ett arkiv i "nytt" format. Detta är förval.

--old
    Tvingar dpkg-deb att bygga ett arkiv i "gammalt" format. Det gamla arkivformatet är mer svårtolkat av icke-Debianverktyg och är nu utgånget; dess enda användningsområde är för att bygga paket som skall tolkas av versioner av dpkg äldre än 0.93.76 (september 1995), vilka endast släpptes som i386-a.out.

--nocheck
    Förhindrar dpkg-deb --build s normala kontroller på det föreslagna innehållet i arkivet. Du kan bygga vilket arkiv du än vill, oavsett hur trasigt, på detta sätt.

--debug, -D
    Aktiverar felsökningsutdata. Denna är inte speciellt intressant.

PROGRAMFEL
dpkg-deb -I paket1.deb paket2.deb gör fel.

Det finns ingen autentisering i .deb-filer; det finns faktiskt inte ens en vanlig kontrollsumma.

Försök inte använda bara dpkg-deb för att installera programvara! Du måste använda normala dpkg för att se till att alla filer läggs på korrekt plats och att paketets skript körs och dess status och innehåll sparas.

SE ÄVEN
deb(5), deb-control(5), dpkg(8), dselect(8).

FÖRFATTARE
dpkg-deb och denna manualsida skrevs av Ian Jackson. De är upphovsrättsskyddade 1995-1996 av honom och släppta under GNU General Public Licence; det finns INGEN garanti. Se /usr/share/doc/dpkg/copyright och /usr/share/common-licenses/GPL för detaljer.